C# Class Revit.SDK.Samples.CreateViewSection.CS.Command

Inheritance: IExternalCommand
Afficher le fichier Open project: AMEE/revit

Méthodes publiques

Méthode Description
Command ( ) : System

Default constructor of Command

Execute ( ExternalCommandData commandData, string &message, Autodesk elements ) : Autodesk.Revit.UI.Result

Implement this method as an external command for Revit.

Private Methods

Méthode Description
GenerateBeamTransform ( ) : Transform

Generate a Transform instance which as Transform property of BoundingBoxXYZ, when the user select a beam, this method will be called

GenerateBoundingBoxXYZ ( ) : System.Boolean

Generate a BoundingBoxXYZ instance which used in NewViewSection() method

GenerateFloorTransform ( ) : Transform

Generate a Transform instance which as Transform property of BoundingBoxXYZ, when the user select a floor, this method will be called

GenerateTransform ( ) : Transform

Generate a Transform instance which as Transform property of BoundingBoxXYZ

GenerateWallTransform ( ) : Transform

Generate a Transform instance which as Transform property of BoundingBoxXYZ, when the user select a wall, this method will be called

GetSelectedElement ( ) : System.Boolean

Get the selected element, and check whether it is a wall, a floor or a beam.

GetWallMidOffsetFromLocation ( Wall wall ) : Double

Method Details

Command() public méthode

Default constructor of Command
public Command ( ) : System
Résultat System

Execute() public méthode

Implement this method as an external command for Revit.
public Execute ( ExternalCommandData commandData, string &message, Autodesk elements ) : Autodesk.Revit.UI.Result
commandData ExternalCommandData An object that is passed to the external application /// which contains data related to the command, /// such as the application object and active view.
message string A message that can be set by the external application /// which will be displayed if a failure or cancellation is returned by /// the external command.
elements Autodesk A set of elements to which the external application /// can add elements that are to be highlighted in case of failure or cancellation.
Résultat Autodesk.Revit.UI.Result